<!-- view createUpdate.php for CrudController 1.0 by Vladimir Kovarsky -->

<?php $this->pageTitle=Yii::app()->name . ' - ' . $actionTitle; ?>

<h2><?php echo $actionTitle; ?></h2>

<div class="yiiForm">

<p>
<?php echo Yii::t('yii', 'Fields with <span class="required">*</span> are required.', /*params=*/array(), 'crudMessages'); ?>
</p>                                                                              

<?php echo CHtml::form(); ?>

<?php echo CHtml::errorSummary($item); ?>

      

<?php 
$columns = $item->tableSchema->columns;
unset($columns['id']);
foreach($columns as $name=>$column): 
?>
<div class="simple">
<?php echo CHtml::activeLabelEx($item, $name); ?>
<?php echo $this->generateInputField($item, $column, $action); ?>

</div>
<?php endforeach; ?>


<div class="action">
<?php 
echo CHtml::submitButton(Yii::t('yii','Save',/*params=*/array(), 'crudMessages')); 
echo CHtml::button(Yii::t('yii','Cancel',/*params=*/array(), 'crudMessages'), array(
            'submit'=>$this->createUrl('cancel'), 
            'style'=>'margin-left:10px;'
            )
); 
if ($action == 'update') {
	echo CHtml::button(Yii::t('yii','Delete',/*params=*/array(), 'crudMessages'), array(
				'submit'=>$this->createUrl('delete', array('model'=>strtolower($this->modelName))), 
				'params'=>array('recordId'=>$item->id),
				'confirm'=>Yii::t('yii','Deleting record #{id}. Proceed?',array('{id}'=>$item->id), 'crudMessages'), 
				'style'=>'margin-left:10px;'
				)
	); 
}
?>
</div><!-- action -->

</form>
</div><!-- yiiForm -->
<?php 
$cs = Yii::app()->getClientScript();
$cs->registerCoreScript('jquery');
?>