<!-- view list.php for CrudController 1.0 by Vladimir Kovarsky -->

<?php $this->pageTitle=Yii::app()->name . ' - ' . $actionTitle; ?>

<table><tr>
<td><h2><?php echo $actionTitle; ?></h2></td>
<td><?php echo CHtml::button(Yii::t('yii','Add',/*params=*/array(),'crudMessages'), array('onclick'=>'createItem();'))?></td>
</tr></table>

<table class="dataGrid">
  <tr>
    <?php foreach ($sortAttributes as $key=>$val) echo "<th>" . $sort->link($key) . "</th>\n"; ?>
	<th>&nbsp;</th>
  </tr>

<?php foreach($list as $n=>$model): ?>
  <tr class="<?php echo $n%2?'even':'odd';?>">
  <?php foreach($columnAttributes as $key=>$val) echo "<td>" . CHtml::encode(($val=='')?($model->$key):($model->$key->$val)) . "</td>\n"; ?>
    <td>
      <?php echo CHtml::radioButton('mr', false, array('class' => 'markerRadio', 'id'=>"mr_{$model->id}")); ?>
    </td>
  </tr>
<?php endforeach; ?>

</table>
<br />                  
<?php
	echo CHtml::button(Yii::t('yii','Delete',/*params=*/array(),'crudMessages'), array(
                    'onclick'=>'deleteItem(this);',    
					'style'=>'float: right; width: 85px;'
					)
	);
?>
<br clear="all" />      
<?php
	echo CHtml::button(Yii::t('yii','Update',/*params=*/array(),'crudMessages'), array(
                    'onclick'=>'updateItem();',
					'style'=>'float: right; width: 85px; margin-top: 3px;'
					)
	);
?>
<?php $this->widget('CLinkPager',array('pages'=>$pages)); ?>
<?php 
$cs = Yii::app()->getClientScript();
$cs->registerCoreScript('jquery');
$cs->registerCoreScript('yii');
echo CHtml::script("
var deleteUrl='" . $this->createUrl('delete', array('model'=>strtolower($this->modelName))) . "';                 
var updateUrl='" . $this->createUrl('update', array('model'=>strtolower($this->modelName))) . "';                 
var createUrl='" . $this->createUrl('create', array('model'=>strtolower($this->modelName))) . "';                 
function deleteItem(elem)
{         
var id = getId();
if (id==-1) {
    return;
} else if (confirm('" . Yii::t('yii',"Deleting record #' + id + '. Proceed?",/*params=*/array(), 'crudMessages') . "')) {
jQuery.yii.submitForm(elem,deleteUrl,{'recordId':id});   
}
}
function updateItem()
{
var id = getId();
if (id==-1) {
    return;
} else {
window.location = updateUrl + '/id/' + id;
}
}
function createItem()
{
window.location = createUrl;
}
function getId()
{
var obj = \$('.markerRadio:checked');
if (obj.length==0) {
    alert ('" . Yii::t('yii', 'Nothing selected!', /*params=*/array(), 'crudMessages') . "');
    return -1;
} else  {
    return obj[0].id.substr(3);
}
}
");
?>